import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MTLDevice } from "./MTLDevice.js";
export declare class _MTLSharedTextureHandle extends _NSObject {
    static alloc(): _MTLSharedTextureHandle;
    static new(): _MTLSharedTextureHandle;
    init(): _MTLSharedTextureHandle;
    /**
     * @property device @abstract The device this texture was created against. @discussion This shared texture handle can only be used with this device.
     */
    device(): _MTLDevice;
    /**
     * @property label @abstract A copy of the original texture's label property, if any
     */
    label(): _NSString | null;
}
export interface _MTLSharedTextureHandle extends _NSSecureCoding {
}
